hpp-corbaserver: hpp::constraints_impl::ConfigurationConstraintServant< _Base, _Storage > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
hpp::constraints_impl::ConfigurationConstraintServant< _Base, _Storage > Class Template Reference

`#include <hpp/constraints_idl/constraints-fwd.hh>`

Inheritance diagram for hpp::constraints_impl::ConfigurationConstraintServant< _Base, _Storage >:
[legend]
Collaboration diagram for hpp::constraints_impl::ConfigurationConstraintServant< _Base, _Storage >:
[legend]

## Public Types
typedef hpp::constraints_impl::DifferentiableFunctionServant< _Base, _Storage >::HppBase | HppBase
Public Types inherited from hpp::constraints_impl::DifferentiableFunctionServant< _Base, _Storage >
typedef hpp::constraints::DifferentiableFunction | HppBase
Public Types inherited from hpp::corbaServer::ServantBase< hpp::constraints::DifferentiableFunction, _Storage >
typedef _Storage | Storage
typedef weak_ptr< typename Storage::element_type > | StorageElementWkPtr_t
typedef shared_ptr< typename Storage::element_type > | StorageElementShPtr_t
Public Types inherited from hpp::corbaServer::AbstractServantBase< T >
typedef shared_ptr< T > | TShPtr_t
typedef weak_ptr< T > | TWkPtr_t

## Public Member Functions
| SERVANT_BASE_TYPEDEFS (hpp::constraints_idl::ConfigurationConstraint, HppBase)
| ConfigurationConstraintServant (::hpp::corbaServer::Server *server, const _Storage &s)
virtual | ~ConfigurationConstraintServant ()
hpp::floatSeq * | getWeights ()
void | setWeights (const hpp::floatSeq &weights)
hpp::floatSeq * | getGoal ()
Public Member Functions inherited from hpp::constraints_impl::DifferentiableFunctionServant< _Base, _Storage >
| SERVANT_BASE_TYPEDEFS (hpp::constraints_idl::DifferentiableFunction, HppBase)
| DifferentiableFunctionServant (::hpp::corbaServer::Server *server, const _Storage &s)
virtual | ~DifferentiableFunctionServant ()
hpp::floatSeq * | value (const hpp::floatSeq &arg)
hpp::floatSeqSeq * | jacobian (const hpp::floatSeq &arg)
hpp::size_type | inputSize ()
hpp::size_type | inputDerivativeSize ()
hpp::size_type | outputSize ()
hpp::size_type | outputDerivativeSize ()
char * | name ()
char * | str ()
Public Member Functions inherited from hpp::corbaServer::ServantBase< hpp::constraints::DifferentiableFunction, _Storage >
virtual | ~ServantBase ()
virtual TShPtr_t | get () const
bool | expired () const final
StorageElementShPtr_t | getT () const
const Storage & | getS () const
void | persistantStorage (bool persistant)
| Set to true if the servant should take ownership of this object.
bool | persistantStorage () const
| See persistantStorage(bool)
void | deleteThis ()
bool | deleteIfExpired ()
Public Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
virtual | ~AbstractServantBase ()
virtual Server::ServantKey | getServantKey () const

## Additional Inherited Members
Protected Member Functions inherited from hpp::corbaServer::ServantBase< hpp::constraints::DifferentiableFunction, _Storage >
| ServantBase (Server *server, const Storage &_s)
Protected Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
| AbstractServantBase (Server *server)
Protected Attributes inherited from hpp::corbaServer::ServantBase< hpp::constraints::DifferentiableFunction, _Storage >
Storage | wrappedObject_
Protected Attributes inherited from hpp::corbaServer::AbstractServantBase< T >
Server * | server_

## Member Typedef Documentation

## ◆ HppBase

template<typename _Base , typename _Storage >

typedef hpp::constraints_impl::DifferentiableFunctionServant<_Base,_Storage>::HppBase hpp::constraints_impl::ConfigurationConstraintServant< _Base, _Storage >::HppBase

## Constructor & Destructor Documentation

## ◆ ConfigurationConstraintServant()

template<typename _Base , typename _Storage >

hpp::constraints_impl::ConfigurationConstraintServant< _Base, _Storage >::ConfigurationConstraintServant | ( | ::hpp::corbaServer::Server * | server,
|  | const _Storage & | s
| ) |  |

## ◆ ~ConfigurationConstraintServant()

template<typename _Base , typename _Storage >

hpp::constraints_impl::ConfigurationConstraintServant< _Base, _Storage >::~ConfigurationConstraintServant | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getGoal()

template<typename _Base , typename _Storage >

hpp::floatSeq * hpp::constraints_impl::ConfigurationConstraintServant< _Base, _Storage >::getGoal | ( |  | ) |

## ◆ getWeights()

template<typename _Base , typename _Storage >

hpp::floatSeq * hpp::constraints_impl::ConfigurationConstraintServant< _Base, _Storage >::getWeights | ( |  | ) |

## ◆ SERVANT_BASE_TYPEDEFS()

template<typename _Base , typename _Storage >

hpp::constraints_impl::ConfigurationConstraintServant< _Base, _Storage >::SERVANT_BASE_TYPEDEFS | ( | hpp::constraints_idl::ConfigurationConstraint | ,
|  | HppBase |
| ) |  |

## ◆ setWeights()

template<typename _Base , typename _Storage >

void hpp::constraints_impl::ConfigurationConstraintServant< _Base, _Storage >::setWeights | ( | const hpp::floatSeq & | weights | ) |

The documentation for this class was generated from the following files:

- src/hpp/constraints_idl/constraints-fwd.hh
- src/hpp/constraints_idl/constraints.hh